Commit ddbed98d authored by Jan Groenewald's avatar Jan Groenewald
Browse files

New rstudio 1.0.153 does not require jessie packages

parent 78c95ef2
#!/bin/bash #!/bin/bash
echo "deb http://httpredir.debian.org/debian jessie main contrib" > /etc/apt/sources.list.d/jessie.list # Rstudio 1.0.143 and before required 3 jessie packages to run on stretch
[ -f /etc/apt/sources.list.d/jessie.list ] && mv /etc/apt/sources.list.d/jessie.list{,.disabled}
for PKG in libgstreamer0.10-0 libgstreamer-plugins-base0.10-0 libssl1.0.0; do
dpkg -s $PKG >/dev/null 2>&1 && apt-get -y purge $PKG;
done
# New rstudio does not require jessie packages
apt-get -qq update apt-get -qq update
apt-get -y install r-recommended libgstreamer0.10-0 libgstreamer-plugins-base0.10-0 libssl1.0.0 apt-get -y install r-recommended
cd /tmp cd /tmp
wget -c https://download1.rstudio.org/rstudio-1.0.143-amd64.deb wget -c https://download1.rstudio.org/rstudio-xenial-1.0.153-amd64.deb
dpkg -i rstudio-1.0.143-amd64.deb dpkg -i rstudio-xenial-1.0.153-amd64.deb
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment